Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 235267 - [git] [Show history] "Cherry pick this revision" action is missing
[git] [Show history] "Cherry pick this revision" action is missing
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
7.4
PC Windows 7
: P3 with 1 vote (vote)
: 8.0.1
Assigned To: Ondrej Vrabec
issues@versioncontrol
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 18:32 UTC by markiewb
Modified: 2014-07-26 13:49 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Shows current popup (53.54 KB, image/png)
2013-08-29 18:32 UTC, markiewb
Details
api change in Git client library (65.44 KB, patch)
2014-07-01 11:25 UTC, Ondrej Vrabec
Details | Diff
ui part, no API (52.58 KB, patch)
2014-07-01 15:19 UTC, Ondrej Vrabec
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2013-08-29 18:32:21 UTC
Created attachment 139451 [details]
Shows current popup

* invoke "show history" on a project/file -> Summary view will be opened
* select an entry and open its context menu - see current state in the screenshot

ACTUAL: there is no action to cherrypick the selected revision
EXPECTED: action "Cherry pick this revision" action is available
Comment 1 Ondrej Vrabec 2013-08-29 19:01:19 UTC
We do not have support for cherry-picking yet, i hope we'll have that in the next release
Comment 2 adam_felix_fps 2014-06-26 10:12:10 UTC
I was just looking for this too but guess it didn;t make the cut for 8.0.  Any chance tis is going to be added in 8.1?  Cheers

Adam
Comment 3 Ondrej Vrabec 2014-07-01 11:25:02 UTC
need a new method in git client, please review the api change
Comment 4 Ondrej Vrabec 2014-07-01 11:25:05 UTC
Created attachment 147837 [details]
api change in Git client library
Comment 5 Ondrej Vrabec 2014-07-01 15:19:58 UTC
Created attachment 147839 [details]
ui part, no API
Comment 6 Ondrej Vrabec 2014-07-08 07:11:50 UTC
fix: http://hg.netbeans.org/core-main/rev/580776728c55
Comment 7 Ondrej Vrabec 2014-07-08 07:11:55 UTC
fix: http://hg.netbeans.org/core-main/rev/e8ab862f7d55
Comment 8 Quality Engineering 2014-07-09 02:49:04 UTC
Integrated into 'main-silver', will be available in build *201407090001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/580776728c55
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #235267 - [git] [Show history] "Cherry pick this revision" action is missing
introduce new API for cherry-picking commits.
Comment 9 markiewb 2014-07-26 10:26:39 UTC
@Ondrej: I cannot see the cherry-pick action in the UI of the current NetBeans IDE Dev (Build 201407260001). Where is it supposed to be? (If you like you can add a screenshot to the noteworthy page too)
Comment 10 Ondrej Vrabec 2014-07-26 13:49:16 UTC
(In reply to markiewb from comment #9)
> @Ondrej: I cannot see the cherry-pick action in the UI of the current
> NetBeans IDE Dev (Build 201407260001). Where is it supposed to be? (If you
> like you can add a screenshot to the noteworthy page too)
done: http://wiki.netbeans.org/NewAndNoteworthyNB801#History_view
The action makes sense (i think) only if the commit has not yet been merged into the current branch. So if you list commits for master only - and having master checked-out - the action does not display.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo